%define name 	bkchem
%define version 0.14.0
%define release %mkrel 0.pre2.3


Summary: 	Python 2D chemical structure drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0:	http://bkchem.zirael.org/download/%name-%{version}-pre2.tar.gz
URL: 		http://bkchem.zirael.org
License: 	GPLv2+
Group: 		Sciences/Chemistry
BuildRequires:	python-devel
Requires: 	python-imaging Pmw PyXML
Buildarch:	noarch

%description
BKChem is a free (as in free software :o) chemical drawing program. It was
conceived and written by Beda Kosata.  Supported file formats are SVG and CML.
The output looks best with the Adobe SVG viewer, but sodipodi and batik do a
reasonable job as well.

%prep 
%setup -q -n %name-%{version}-pre2
touch INSTALL.binary

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
touch $RPM_BUILD_ROOT/%_bindir/%name
python setup.py install --root=$RPM_BUILD_ROOT
chmod 644 gpl.txt README 
pushd $RPM_BUILD_ROOT/%_datadir
chmod 644 `find -type f`
chmod 755 `find -type d`
popd

rm -fr $RPM_BUILD_ROOT/%_prefix/doc/api

#fix executable
rm $RPM_BUILD_ROOT%_bindir/%name
echo '#!/bin/sh' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_MODULE_PATH=%{py_puresitedir}/%name' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_TEMPLATE_PATH=%_datadir/%name/templates' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_PIXMAP_PATH=%_datadir/%name/pixmaps' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_IMAGE_PATH=%_datadir/%name/images' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'python %{py_puresitedir}/%name/%name.py' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=BKchem
Comment=2D chemical structure drawing tool
Exec=bkchem
Icon=chemistry_section
Terminal=false
Type=Application
Categories=Science;Chemistry;
EOF

%find_lang BKChem

%clean
rm -rf $RPM_BUILD_ROOT


%files -f BKChem.lang
%defattr(-,root,root)
%doc gpl.txt README 
%_bindir/%name
%_datadir/%name
%{py_puresitedir}/%name
%_datadir/applications/%{_real_vendor}-%{name}.desktop
%{py_puresitedir}/*.egg-info




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.14.0-0.pre2.3.mga3
+ Revision: 346912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 25 2011 wally <wally> 0.14.0-0.pre2.2.mga1
+ Revision: 90287
- fix desktop file name (mga#954)
- drop buildroot definition
- drop obsolete py_requires macro

* Tue Mar 15 2011 steletch <steletch> 0.14.0-0.pre2.1.mga1
+ Revision: 72245
- Remove old mdk macros
- imported package bkchem

